%global version_major 3
%global gittag %{name}%{version_major}_%{version}

Name:           gz-cmake
Version:        3.5.1
Release:        1%{?dist}
Summary:        A Robotic Simulator

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 
Patch0:         %{name}-3.5.1-noarch.patch

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  make

%description
Gazebo Sim is an open source robotics simulator. Through Gazebo Sim, users have
access to high fidelity physics, rendering, and sensor models. Additionally,
users and developers have multiple points of entry to simulation including a
graphical user interface, plugins, and asynchronous message passing and
services.

%package devel
Summary: Development files for %{name}

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake -DCMAKE_BUILD_TYPE:STRING=Release
%cmake_build


%install
%cmake_install

%check
%ctest

%files devel
%{_datadir}/gz
%{_datadir}/cmake/%{name}%{version_major}
%{_datadir}/pkgconfig/%{name}%{version_major}.pc
%{_includedir}/gz


%changelog
* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com>
- Initial package
